### Hierarchy

- BlueBase

## Index

### Properties

- Analytics
- Components
- Configs
- Hooks
- Logger
- Plugins
- Themes
- booted

### Methods

- boot

### Object literals

- bootOptions

## Properties

### Analytics

Analytics: Analytics = new Analytics(this)

- Defined in BlueBase.tsx:31

### Components

Components: ComponentRegistry = new ComponentRegistry(this)

- Defined in BlueBase.tsx:35

### Configs

Configs: ConfigRegistry = new ConfigRegistry(this)

- Defined in BlueBase.tsx:36

### Hooks

Hooks: HookRegistry = new HookRegistry(this)

- Defined in BlueBase.tsx:37

### Logger

Logger: Logger = new Logger(this)

- Defined in BlueBase.tsx:32

### Plugins

Plugins: PluginRegistry = new PluginRegistry(this)

- Defined in BlueBase.tsx:38

### Themes

Themes: ThemeRegistry = new ThemeRegistry(this)

- Defined in BlueBase.tsx:39

### booted

booted: boolean = false

- Defined in BlueBase.tsx:42

## Methods

### boot

- boot(options?: Partial<BootOptions> & object): Promise<BlueBaseRoot>

- - Defined in BlueBase.tsx:52

  #### Parameters

  - ##### Optional options: Partial<BootOptions> & object

  #### Returns Promise<BlueBaseRoot>

## Object literals

### Private bootOptions

bootOptions: object

- Defined in BlueBase.tsx:44

### components

components: object

- Defined in BlueBase.tsx:45

#### Type declaration

### configs

configs: object

- Defined in BlueBase.tsx:46

#### Type declaration

### hooks

hooks: object

- Defined in BlueBase.tsx:47

#### Type declaration

### plugins

plugins: never[] = []

- Defined in BlueBase.tsx:48

### themes

themes: never[] = []

- Defined in BlueBase.tsx:49

Generated using TypeDoc